> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cj.agc-vie.fnstack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1policies premiums payments

> Make a premium payment



## OpenAPI

````yaml post /v1/policies/{policy_id}/premiums/{premium_id}/payments
openapi: 3.0.1
info:
  version: 1.0.0
  title: AGC-VIE - Customer Journeys API
  description: This API can be use for Customer journeys integrations with 3PPs
servers:
  - url: https://dev-api-cj-agc-vie.fnstack.dev
security:
  - API Key: []
paths:
  /v1/policies/{policy_id}/premiums/{premium_id}/payments:
    post:
      tags:
        - Policies
      description: Make a premium payment
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                premium_id:
                  type: string
                  minLength: 1
                  example: prem_2c1x7V4r47ynM4RABVm1Co0UKkG
                amount:
                  type: number
                  minimum: 0
                  exclusiveMinimum: true
                  example: 2000
                payment_method_id:
                  type: string
              required:
                - premium_id
                - amount
      responses:
        '202':
          description: '''Make a premium payment'' command accepted and ongoing'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MakePremiumPaymentOutput'
        '401':
          description: Authentication invalid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Forbiden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '422':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    MakePremiumPaymentOutput:
      type: object
      properties:
        payment_id:
          type: string
          minLength: 1
      required:
        - payment_id
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key

````